AsterNet Class Library (Sandcastle documentation)

| AGIScript GetFullVariable Method (String)

Returns the value of the current channel variable, unlike getVariable() this method understands complex variable names and builtin variables.
Available since Asterisk 1.2.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected string GetFullVariable(
    	string name
    )

    Protected Function GetFullVariable (
    	name As String
    ) As String

    protected:
    String^ GetFullVariable(
    	String^ name
    )

    member GetFullVariable :
            name : string -> string

#### Parameters

name
  Type: System
  String
  the name of the variable to retrieve.

#### Return Value

Type: String
the value of the given variable or null if not et.
See Also

#### Reference

AGIScript Class
GetFullVariable Overload
AsterNET.FastAGI Namespace